libvisio::VSDParaIX Class Reference documentation

Public Member Functions | Public Attributes | List of all members
libvisio::VSDParaIX Class Reference
Inheritance diagram for libvisio::VSDParaIX:

## Public Member Functions
| VSDParaIX (unsigned id, unsigned level, unsigned charCount, const boost::optional< double > &indFirst, const boost::optional< double > &indLeft, const boost::optional< double > &indRight, const boost::optional< double > &spLine, const boost::optional< double > &spBefore, const boost::optional< double > &spAfter, const boost::optional< unsigned char > &align, const boost::optional< unsigned char > &bullet, const boost::optional< VSDName > &bulletStr, const boost::optional< VSDName > &bulletFont, const boost::optional< double > &bulletFontSize, const boost::optional< double > &textPosAfterBullet, const boost::optional< unsigned > &flags)
| ~VSDParaIX () override
void | handle (VSDCollector *collector) const override
VSDParagraphListElement * | clone () override
unsigned | getCharCount () const override
void | setCharCount (unsigned charCount) override
Public Member Functions inherited from libvisio::VSDParagraphListElement
| VSDParagraphListElement (unsigned id, unsigned level)
virtual | ~VSDParagraphListElement ()
virtual void | handle (VSDCollector *collector) const =0
virtual VSDParagraphListElement * | clone ()=0
virtual unsigned | getCharCount () const =0
virtual void | setCharCount (unsigned charCount)=0

## Public Attributes
VSDOptionalParaStyle | m_style
Public Attributes inherited from libvisio::VSDParagraphListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## ◆ VSDParaIX()

libvisio::VSDParaIX::VSDParaIX | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const boost::optional< double > & | indFirst,
|  | const boost::optional< double > & | indLeft,
|  | const boost::optional< double > & | indRight,
|  | const boost::optional< double > & | spLine,
|  | const boost::optional< double > & | spBefore,
|  | const boost::optional< double > & | spAfter,
|  | const boost::optional< unsigned char > & | align,
|  | const boost::optional< unsigned char > & | bullet,
|  | const boost::optional< VSDName > & | bulletStr,
|  | const boost::optional< VSDName > & | bulletFont,
|  | const boost::optional< double > & | bulletFontSize,
|  | const boost::optional< double > & | textPosAfterBullet,
|  | const boost::optional< unsigned > & | flags
| ) |  |
| inline

## ◆ ~VSDParaIX()

libvisio::VSDParaIX::~VSDParaIX | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ clone()

libvisio::VSDParagraphListElement * libvisio::VSDParaIX::clone | ( |  | ) |
| overridevirtual

Implements libvisio::VSDParagraphListElement.

## ◆ getCharCount()

unsigned libvisio::VSDParaIX::getCharCount | ( |  | ) | const
| inlineoverridevirtual

Implements libvisio::VSDParagraphListElement.

## ◆ handle()

void libvisio::VSDParaIX::handle | ( | VSDCollector * | collector | ) | const
| overridevirtual

Implements libvisio::VSDParagraphListElement.

## ◆ setCharCount()

void libvisio::VSDParaIX::setCharCount | ( | unsigned | charCount | ) |
| inlineoverridevirtual

Implements libvisio::VSDParagraphListElement.

## Member Data Documentation

## ◆ m_style

VSDOptionalParaStyle libvisio::VSDParaIX::m_style

Referenced by getCharCount(), handle(), and setCharCount().

The documentation for this class was generated from the following file:

- VSDParagraphList.cpp